package com.zhiyun.common.exception;

/**
 * 基础异常
 *
 * @author ruoyi
 */
public class BaseException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    /**
     * 所属模块
     */
    private final String module;

    /**
     * 错误码
     */
    private final String message;


    public BaseException(String module, String message) {
        this.module = module;
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public String getModule() {
        return module;
    }
}
