package com.zhiyun.project.item.controller;

import com.alibaba.fastjson2.JSONObject;
import com.zhiyun.common.annotation.Anonymous;
import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.item.service.DeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/device")
public class DeviceController {

    @Autowired
    private DeviceService deviceService;

    @PostMapping("/getDeviceData")
    @Anonymous
    public ApiResult listCompanyOptions(@RequestBody JSONObject jsonObject) {
        return ApiResult.success(deviceService.getDeviceData(jsonObject));
    }

}
