package com.zhiyun.project.monitor.controller;

import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.monitor.domain.Server;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 服务器监控
 *
 * @author ruoyi
 */
@RestController
@RequestMapping("/monitor/server")
public class ServerController {
    @PreAuthorize("@ss.hasPermi('monitor:server:list')")
    @GetMapping()
    public ApiResult getInfo() throws Exception {
        Server server = new Server();
        server.copyTo();
        return ApiResult.success(server);
    }
}
