package com.zhiyun.project.monitor.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiyun.project.monitor.domain.SysOperLog;
import com.zhiyun.project.monitor.domain.body.OperLogBody;

/**
 * 操作日志 服务层
 *
 * @author ruoyi
 */
public interface ISysOperLogService extends IService<SysOperLog> {

    /**
     * 查询系统操作日志集合
     *
     * @param body 操作日志对象
     */
    Page<SysOperLog> selectOperLogPage(OperLogBody body);

    /**
     * 清空操作日志
     */
    void cleanOperLog();
}
