package com.zhiyun.project.system.domain.body;

import com.zhiyun.common.model.BaseBody;
import lombok.Data;

/**
 * 系统配置类 入参
 */
@Data
public class SysConfigBody extends BaseBody {

    /**
     * 配置名称
     */
    private String configName;

    /**
     * 配置key
     */
    private String configKey;

    /**
     * 是否系统内置参数
     */
    private String configType;

    /**
     * 参数值
     */
    private String configValue;

    /**
     * 创建时间
     */
    private String beginTime;

    private String endTime;

}
