package com.zhiyun.project.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.system.domain.body.SysConfigBody;
import com.zhiyun.project.system.domain.entity.SysConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 参数配置 数据层
 *
 * @author ruoyi
 */
public interface SysConfigMapper extends BaseMapper<SysConfig> {

    /**
     * 查询参数配置列表
     *
     * @param param 参数配置信息
     */
    Page<SysConfig> selectConfigList(Page<SysConfig> page, @Param("param") SysConfigBody param);

}
