package com.zhiyun.project.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.system.domain.body.SysDictBody;
import com.zhiyun.project.system.domain.entity.SysDictType;
import org.apache.ibatis.annotations.Param;

/**
 * 字典表 数据层
 *
 * @author ruoyi
 */
public interface SysDictTypeMapper extends BaseMapper<SysDictType> {
    /**
     * 根据条件分页查询字典类型
     */
    Page<SysDictType> selectDictTypeList(Page<SysDictType> page, @Param("param") SysDictBody param);

    /**
     * 校验字典类型称是否唯一
     *
     * @param dictType 字典类型
     */
    Long checkDictTypeUnique(String dictType);
}
