package com.zhiyun.project.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.system.domain.body.SysNoticeBody;
import com.zhiyun.project.system.domain.entity.SysNotice;
import org.apache.ibatis.annotations.Param;

/**
 * 通知公告表 数据层
 *
 * @author ruoyi
 */
public interface SysNoticeMapper extends BaseMapper<SysNotice> {

    /**
     * 查询公告列表
     *
     * @param body 公告信息
     */
    Page<SysNotice> selectNoticeList(Page<SysNotice> page, @Param("param") SysNoticeBody body);

}
