package com.zhiyun.project.system.service;

import java.util.List;

/**
 * vx用户 业务层
 *
 * @author LYW
 */
public interface ISysVxService {

    /**
     * 查询绑定vx用户的用户
     */
    List<String> getBindUser();

    /**
     * 查询当前账号绑定的vx用户
     */
    String getVxUser(String userName);

    /**
     * 更新对应userName为空
     */
    boolean setUserName(String userName);

    /**
     * 查出所有未绑定的vx用户
     */
    List<String> getVxUsers();

    /**
     * 给vx用户绑定系统用户
     */
    boolean setVxUser(String vxUser, String userName);
}
