package com.zhiyun.common.utils;

import java.time.format.DateTimeFormatter;

/**
 *
 */
public class DatePatternUtil {

    public static final String NORM_DATE_PATTERN = "yyyy-MM-dd";
    public static final DateTimeFormatter NORM_DATE_FORMATTER = DateTimeFormatter.ofPattern(NORM_DATE_PATTERN);

    public static final String FIRST_DAY_OF_MONTH_PATTERN = "yyyy-MM-01";
    public static final DateTimeFormatter FIRST_DAY_OF_MONTH_FORMATTER = DateTimeFormatter.ofPattern(FIRST_DAY_OF_MONTH_PATTERN);

    public static final String FIRST_DAYTIME_OF_MONTH_PATTERN = "yyyy-MM-01 00:00:00";
    public static final DateTimeFormatter FIRST_DAYTIME_OF_MONTH_FORMATTER = DateTimeFormatter.ofPattern(FIRST_DAYTIME_OF_MONTH_PATTERN);

    public static final String PURE_DATE_PATTERN = "yyyyMMdd";
    public static final DateTimeFormatter PURE_DATE_FORMATTER = DateTimeFormatter.ofPattern(PURE_DATE_PATTERN);

    public static final String NORM_DATETIME_PATTERN = "yyyy-MM-dd HH:mm:ss";
    public static final DateTimeFormatter NORM_DATETIME_FORMATTER = DateTimeFormatter.ofPattern(NORM_DATETIME_PATTERN);

    public static final String NORM_DATETIME_MINUTE_PATTERN = "yyyy-MM-dd HH:mm";
    public static final DateTimeFormatter NORM_DATETIME_MINUTE_FORMATTER = DateTimeFormatter.ofPattern(NORM_DATETIME_MINUTE_PATTERN);

    public static final String NORM_DATETIME_HOUR_PATTERN = "yyyy-MM-dd HH";
    public static final DateTimeFormatter NORM_DATETIME_HOUR_FORMATTER = DateTimeFormatter.ofPattern(NORM_DATETIME_HOUR_PATTERN);


    public static final String PURE_DATETIME_PATTERN = "yyyyMMddHHmmss";
    public static final DateTimeFormatter PURE_DATETIME_FORMATTER = DateTimeFormatter.ofPattern(PURE_DATETIME_PATTERN);

    public static final String PURE_DATETIME_MS_PATTERN = "yyyyMMddHHmmssSSS";
    public static final DateTimeFormatter PURE_DATETIME_MS_FORMATTER = DateTimeFormatter.ofPattern(PURE_DATETIME_MS_PATTERN);

    public static final String NORM_MONTH_PATTERN = "yyyy-MM";
    public static final DateTimeFormatter NORM_MONTH_FORMATTER = DateTimeFormatter.ofPattern(NORM_MONTH_PATTERN);

    public static final String PURE_MONTH_PATTERN = "yyyyMM";
    public static final DateTimeFormatter PURE_MONTH_FORMATTER = DateTimeFormatter.ofPattern(PURE_MONTH_PATTERN);

}