package com.zhiyun.project.monitor.domain.body;

import com.zhiyun.common.model.BaseBody;
import lombok.Data;

/**
 * 操作日志参数
 *
 * @author yang xiao kun
 * create on 2023/3/27
 */
@Data
public class OperLogBody extends BaseBody {

    /**
     * 操作模块
     */
    private String title;
    /**
     * 业务类型
     * 0=其它,1=新增,2=修改,3=删除,4=授权,5=导出,6=导入,7=强退,8=生成代码,9=清空数据
     */
    private Integer businessType;
    /**
     * 状态
     */
    private Integer status;

    /**
     * 操作人员
     */
    private String operName;

    /**
     * 开始时间
     */
    private String beginTime;

    /**
     * 结束时间
     */
    private String endTime;

}
