package com.zhiyun.project.monitor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.monitor.domain.SysLoginInfo;
import com.zhiyun.project.monitor.domain.body.LoginInfoBody;
import org.apache.ibatis.annotations.Param;

/**
 * 系统访问日志情况信息 数据层
 *
 * @author ruoyi
 */
public interface SysLoginInfoMapper extends BaseMapper<SysLoginInfo> {

    /**
     * 查询系统登录日志集合
     *
     * @param param 访问日志对象
     */
    Page<SysLoginInfo> listLoginInfo(Page<SysLoginInfo> page, @Param("param") LoginInfoBody param);


    /**
     * 清空系统登录日志
     */
    int cleanLoginInfo();
}
