package com.zhiyun.project.monitor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhiyun.project.monitor.domain.SysOperLog;
import com.zhiyun.project.monitor.domain.body.OperLogBody;
import org.apache.ibatis.annotations.Param;

/**
 * 操作日志 数据层
 *
 * @author ruoyi
 */
public interface SysOperLogMapper extends BaseMapper<SysOperLog> {
    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     */
    Page<SysOperLog> selectOperLogList(Page<SysOperLog> page, @Param("param") OperLogBody operLog);

    /**
     * 清空操作日志
     */
    void cleanOperLog();
}
