package com.zhiyun.project.monitor.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiyun.project.monitor.domain.SysLoginInfo;
import com.zhiyun.project.monitor.domain.body.LoginInfoBody;

/**
 * 系统访问日志情况信息 服务层
 *
 * @author ruoyi
 */
public interface ISysLoginInfoService extends IService<SysLoginInfo> {

    /**
     * 查询系统登录日志集合
     *
     * @param body 访问日志对象
     */
    Page<SysLoginInfo> pageLoginInfo(LoginInfoBody body);

    /**
     * 清空系统登录日志
     */
    void cleanLoginInfo();
}
