package com.zhiyun.project.monitor.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.project.monitor.domain.SysLoginInfo;
import com.zhiyun.project.monitor.domain.body.LoginInfoBody;
import com.zhiyun.project.monitor.mapper.SysLoginInfoMapper;
import com.zhiyun.project.monitor.service.ISysLoginInfoService;
import org.springframework.stereotype.Service;

/**
 * 系统访问日志情况信息 服务层处理
 *
 * @author ruoyi
 */
@Service
public class SysLoginInfoServiceImpl extends ServiceImpl<SysLoginInfoMapper, SysLoginInfo> implements ISysLoginInfoService {


    @Override
    public Page<SysLoginInfo> pageLoginInfo(LoginInfoBody body) {
        Page<SysLoginInfo> page = new Page<>(body.getPageNum(), body.getPageSize());
        baseMapper.listLoginInfo(page, body);
        return page;
    }

    @Override
    public void cleanLoginInfo() {
        baseMapper.cleanLoginInfo();
    }
}
