package com.zhiyun.project.system.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 角色和部门关联 sys_role_dept
 *
 * @author ruoyi
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysRoleDept {
    /**
     * 角色ID
     */
    @TableId("role_id")
    private Long roleId;

    /**
     * 部门ID
     */
    @TableId("dept_id")
    private Long deptId;

}
