package com.zhiyun.project.system.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户与vx用户关联表 数据层
 *
 * @author LYW
 */
@Mapper
public interface SysVxMapper {

    /**
     * 查询绑定vx用户的用户
     * @return
     */
    List<String> getBindUser();

    /**
     * 查询当前账号绑定的vx用户
     */
    String getVxUser(String userName);

    /**
     * 更新对应userName为空
     */
    boolean setUserName(String userName);

    /**
     * 查出所有未绑定的vx用户
     */
    List<String> getVxUsers();

    /**
     * 给vx用户绑定系统用户
     */
    boolean setVxUser(String vxUser, String userName);
}
