package com.zhiyun.project.system.service.impl;

import com.zhiyun.project.system.mapper.SysVxMapper;
import com.zhiyun.project.system.service.ISysVxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * vx用户 业务层处理
 *
 * @author LYW
 */
@Service
public class SysVxServiceImpl implements ISysVxService {

    @Autowired
    private SysVxMapper sysVxMapper;

    @Override
    public List<String> getBindUser() {
        List<String> bindUser = sysVxMapper.getBindUser();
        return bindUser;
    }

    @Override
    public String getVxUser(String userName) {
        String vxUser = sysVxMapper.getVxUser(userName);
        return vxUser;
    }

    @Override
    public boolean setUserName(String userName) {
        if (sysVxMapper.setUserName(userName)) {
            return true;
        } else return false;
    }

    @Override
    public List<String> getVxUsers() {
        List<String> vxUsers = sysVxMapper.getVxUsers();
        return vxUsers;
    }

    @Override
    public boolean setVxUser(String vxUser, String userName) {
        if (sysVxMapper.setVxUser(vxUser, userName)) {
            return true;
        } else return false;
    }
}
