import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import org.assertj.core.util.Lists;

import java.util.Collections;
import java.util.List;

/**
 * @author yang xiao kun
 * create on 2023/5/23
 */
public class MPGenerator {
    //作者
    private static String author = "zhiyun";

    private static String jdbcUrl = "jdbc:mysql://lq.ailishi.org:33062/zy2?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=GMT%2B8";
    private static String user = "root";
    private static String password = "LiQuan2021DZT";
    private static String path = System.getProperty("user.dir")+"/src/test/java";
    private static List<String> tables = Lists.newArrayList("warn_device_cfg","warn_manager","warn_survey_cfg");

    public static void main(String[] args) {
        FastAutoGenerator.create(jdbcUrl, user, password)
                .globalConfig(builder -> {
                    builder.author(author).outputDir(path); // 指定输出目录
                })
                .packageConfig(builder -> {
                    builder.parent("com.zhiyun.generator") // 设置父包名
                            .pathInfo(Collections.singletonMap(OutputFile.mapper, path)); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder.entityBuilder().enableLombok();
                    // 设置需要生成的表名--需要的时候直接替换表名即可
                    builder.addInclude(tables);
                })
                .execute();

    }

}
